Credits & Write Offs
Write Off an Invoice
Scopes: invoice:update
POST
/
v0
/
business
/
{business_id}
/
invoice
/
{invoice_id}
/
write-off
Write Off an Invoice
curl --request POST \
--url https://api.sandbox.getasset.com/v0/business/{business_id}/invoice/{invoice_id}/write-off \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 500,
"description": "<string>"
}
'import requests
url = "https://api.sandbox.getasset.com/v0/business/{business_id}/invoice/{invoice_id}/write-off"
payload = {
"amount": 500,
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 500, description: '<string>'})
};
fetch('https://api.sandbox.getasset.com/v0/business/{business_id}/invoice/{invoice_id}/write-off', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"business_id": "<string>",
"number": "<string>",
"description": "<string>",
"total_amount": 123,
"due_at": "2023-11-07T05:31:56Z",
"sent_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"customer_id": "<string>",
"total_paid": 0,
"voided_at": "2023-11-07T05:31:56Z",
"metadata": {},
"lines": [
{
"description": "<string>",
"ledger_id": "ldg_ErisumsAc7qgmbTctM7zKK",
"amount": 123,
"id": "<string>",
"invoice_id": "<string>",
"metadata": {}
}
],
"payments": [
{
"invoice_id": "<string>",
"payment_id": "<string>",
"datetime": "2023-11-07T05:31:56Z",
"payment_amount": 123,
"id": "<string>",
"transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo",
"credit_journal_entry_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credit_memo_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice": "<unknown>",
"is_write_off": false
}
],
"tags": {
"Job": [
{
"amount": "3000.00",
"value": "Maple Street Remodel"
},
{
"amount": "1500.00",
"value": "Downtown Office Rewire"
}
]
}
}
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Optional external entity identifier that performed the action
Path Parameters
The id of the business
Example:
"biz_GA6EG2qFxA97NZHtxeLPUy"
The id of the invoice
Example:
"inv_WQMDNUHpBThYSNh4AprDBo"
Body
application/json
Response
Successful Response
Show child attributes
Show child attributes
⌘I
Write Off an Invoice
